[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.CellClick

Processes a mouse click in the cell at the given coordinates.

## Declaration

Source position: grids.pas line 996

`protected procedure TCustomGrid.CellClick(`
`const aCol: Integer;`
`const aRow: Integer;`
`const Button: TMouseButton`
`); virtual;`

## Arguments

`aCol` |  | Column number for the click event.
`aRow` |  | Row number for the click event.

## Description

CellClick is a virtual method with an empty implementation in TCustomGrid. It is overridden in descendent classes, like TCustomDrawGrid, to perform action needed in the implementation.

CellClick is called from the MouseUp method when a mouse click event occurs in the data area (non-fixed cells) for the grid control.

## See also

TCustomGrid.MouseUp |  | Handles a mouse up event for the grid control.
TCustomDrawGrid.CellClick |  | Performs actions to handle a mouse click in the specified cell.